package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkDept", description="工单部门实体类")
public class WorkDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "deptName",value = "部门名称（ '大数据产品及应用部''软件集成部''解决方案中心本部''遵义业务部'畅发科技''智慧城市部' '智慧勘察研发部' '汽车业务部'）")
    private String deptName;

    @ApiModelProperty(name = "oaDeptId", value = "oa中的部门编号")
    private String oaDeptId;

    @ApiModelProperty(name = "centreId", value = "部门所属中心的主键")
    private String centreId;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "modifyTime",value = "修改时间")
    private Date modifyTime;

    @ApiModelProperty(name = "deptManagerId", value = "部门经理id")
    private Integer deptManagerId;


}
