package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "ProjectWorkTimeAndType", description = "人员工时统计中存储项目和工时信息")
public class ProjectWorkTimeAndType{
    /**
     * 项目编号
     */
    @ApiModelProperty(name = "projectId", value = "项目编号")
    private Integer projectId;

    /**
     *  项目名称
     */
    @ApiModelProperty(name = "projectName", value = "项目名称")
    private String projectName;

    /**
     *  项目类型
     */
    @ApiModelProperty(name = "projectType", value = "项目类型")
    private String projectType;

    /**
     * 是否加班
     */
    @ApiModelProperty(name = "isOvertime", value = "是否加班")
    private String isOvertime;

    /**
     *  总工时
     */
    @ApiModelProperty(name = "workTime", value = "总工时")
    private String workTime;

}