package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkType", description="其他项目类型类")
public class WorkType {

    @ApiModelProperty(name = "id",value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "name",value = "类型名")
    private String name;

    @ApiModelProperty(name = "deptId",value = "部门id")
    private Integer deptId;

    @ApiModelProperty(name = "managerId",value = "manager_id")
    private Integer managerId;

    @ApiModelProperty(name = "type",value = "5：外部商务、技术交流  6：内部培训、技术准备、管理   7：其他非项目/商机工作")
    private Integer type;

}
