package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 用户信息返回结果
 * @author: nh
 * @create: 2021-01-21 23:13
 **/
@Data
@ApiModel(value = "ResultUser", description = "用户信息返回结果")
public class ResultUser implements Serializable {
    private static final long serialVersionUID = 1453066003160006231L;

    @ApiModelProperty(name = "id",value = "主键")
    private Integer id;

    @ApiModelProperty(name = "oaUserId",value = "oa中的用户编号")
    private String oaUserId;

    @ApiModelProperty(name = "deptId",value = "部门id")
    private Integer deptId;

    @ApiModelProperty(name = "name",value = "用户名")
    private String name;

    @ApiModelProperty(name = "loginName",value = "登录名")
    private String loginName;

    @ApiModelProperty(name = "phone",value = "手机号")
    private String phone;

    @ApiModelProperty(name = "email",value = "邮箱")
    private String email;

    @ApiModelProperty(name = "level",value = "权限")
    private Integer level;

    @ApiModelProperty(name = "role",value = "角色（产品、开发、测试、售前）")
    private String role;

    @ApiModelProperty(name = "type",value = "类型（公司、外协）")
    private String type;

    @ApiModelProperty(name = "day", value = "限制审核的天数")
    private Integer day;
}
